Subject: [Dime] Result Code 4010 Handling by GGSN in case of Gy Interface

From: John Basha <[email-masked]>
Date: Thu, 9 Jul 2015 07:29:10 +0000

Dear Community,

I have a very basic question on the behavior of GGSN when OCS sends result code 4010 for a service on MSCC level.

There is a slight deviation in the definition of Result-Code 4010 between 3GPP 32299 and RFC 4006.

As per RFC 6733, it is clearly mentioned to deduct(Highlighted in yellow) the Used-Service-Unit(USU) if reported by GGSN(Client) when OCS sends 4010 and I mentioned it to your for your kind reference.

   DIAMETER_END_USER_SERVICE_DENIED           4010
      The credit-control server denies the service request due to
      service restrictions.  If the CCR contained used-service-units,
      they are deducted, if possible.

But as per 3GPP 32299((Under section 7.1.6 Result-Code AVP), there is nothing mentioned about USU.

             DIAMETER_END_USER_SERVICE_DENIED                 4010
             The OCF denies the service request due to service restrictions (e.g. terminate rating group) or limitations related to the end-user, for example the end-user's account could not cover the requested service.

My question here is that,  which behavior should I expect from GGSN when OCS sends 4010 for a service?

1.       Should we expect USU from GGSN after OCS sends 4010?(According to RFC 4006)

2.       Shouldn't we expect USU from GGSN after OCS sends 4010?(According to 3GPP 32299)

Kindly clarify.

Regards,
Basha S

---

From: Jens Schendel <[email-masked]>
Date: Thu, 9 Jul 2015 09:57:38 +0000

Hi Basha,

actually, I cannot see any specific text in the quotes below from RFC 4006 and 3GPP TS 32.299 that describes the sending of a follow-up CCR Update after receiving CCA with Result-Code= 4010. The "If the CCR contained used-service-units, they are deducted,..." refers to the CCR Update that is then answered by 4010. Similar for Credit_Limit_Reached 4012. The 3GPP TS 32.299 inherits Diameter Base / DCCA  behavior, see text in the Result-Code section:
"The Result-Code AVP operates as described in RFC 3588 [401] and RFC 4006 [402]. The following result code descriptions are examples of the possible uses for the code:... "

In practice, it is not uncommon to send that mentioned follow-up CCR Update with possibly some remaining quota (gap between previous CCR and CCA) on that specific Result-Code (and in the same way also for 4012), so that the server eventually gets the completely used quota. The 3GPP specification does neither prohibit nor explicitly describe this flow. Thus, in my opinion the follow-up CCR Update is the recommended behavior.

Jens

From: DiME [mailto:[email-masked]] On Behalf Of John Basha
Sent: Donnerstag, 9. Juli 2015 09:29
To: [email-masked]
Subject: [Dime] Result Code 4010 Handling by GGSN in case of Gy Interface

Dear Community,

Kindly clarify.

Regards,
Basha S